v4.0
get
/ec-ors-svc/rest/v4.0/studies/{studyId}/{mode}/randlists/{rndlistid}/randnumbers
Retrieves randomization number. Rights: OrsRandListGet and OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
rndlistid(required): string
ID of the randomization list.Example:
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
Query Parameters
-
blockedBy: string(UUID)
ID of the entity which has blocked the randomization number.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
cohortId: string
ID of the cohort.Example:
COH-01 -
groupId: string
ID of the group in a stratum.Example:
GRP-01 -
limit: string
Maximum number of records to display per page.Default Value:
100Example:100 -
offset: string
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Default Value:
0Example:0 -
searchString(required): string
Search string.Example:
ARM-A -
status: number
Status of the randomization number.Example:
1
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : Random Number Response
Type:
objectTitle:
Random Number ResponseContains random number response.
Show Source
-
count: integer
(int64)
Total count of result
-
hasMore: boolean
Attribute describes if result set has more recordsExample:
true -
limit: integer
(int64)
Maximum number of records to display per page.
-
links: array
links
-
offset: integer
(int64)
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Example:
400 -
randNumbers: array
randNumbers
Contains Randomization number detail.
-
totalResults: integer
(int64)
Total number of entities in response
Nested Schema : randNumbers
Type:
arrayContains Randomization number detail.
Show Source
-
Array of:
object RandNumbersTO v4.0
Title:
RandNumbersTO v4.0Contains random number details.
Example:
[
{
"randNumberId":"D313327EF13845169A8ADADDA435431E",
"versionStart":"2026-02-21T06:30:00Z",
"versionEnd":"2026-02-21T06:45:00Z",
"randNumber":10,
"blockNumber":1,
"randStatusId":3,
"randStatusKey":"Assigned",
"treatmentId":"B1B8327AFAA6412287106192AB5984EF",
"externalTreatmentId":"ARM-A",
"blockingParamName":"site",
"blockingParamId":"SITE-001",
"blockingParamValue":"Site1001",
"subjectId":"C36A3197FDEE433FB5547EE83DE99E4B",
"subjectNumber":"S1001",
"statumId":"9B83BFB48C5A41C59775E4D8D22D8B26",
"stratumName":"Male",
"cohortId":"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA",
"cohortName":"Demo Cohort 1001",
"sequenceNumber":1001
}
]Nested Schema : RelLink
Type:
objectObject contains link detail.
Show Source
-
href: string
Realtive URL
-
rel: string
link
Nested Schema : RandNumbersTO v4.0
Type:
objectTitle:
RandNumbersTO v4.0Contains random number details.
Show Source
-
blockingParamId: string
Title:
Blocking Parameter IDUnique ID of blocking parameter.Example:B1B8327AFAA6412287106192AB5984EF -
blockingParamName: string
Title:
Blocking Parameter NameBlocking parameter name.Example:site -
blockingParamValue: string
Title:
Blocking Parameter ValueBlocking parameter value.Example:Site1001 -
blockNumber: number
(double)
Title:
Block NumberBlock number.Example:10 -
cohortId: string
(uuid)
Cohort ID.
-
cohortName: string
Cohort name.Example:
Demo Cohort 1001 -
externalTreatmentId: string
Title:
External Treatment IDExternal treatment ID.Example:Treatment arm 1001 -
minimization: object
MinimizationTO v1.0
Title:
MinimizationTO v1.0Contains minimization details. -
randNumber: number
(double)
Title:
Randomization NumberRandomization number.Example:10 -
randNumberId: string
(uuid)
Title:
Randomization Number IDUnique ID for randomization number. -
randStatusId: integer
(int32)
Allowed Values:
[ 1, 2, 3, 4, 5 ]Unique ID corresponding to each Randomization status value (1 for Not Approved, 2 for Available, 3 for Not Released, 4 for Assigned, 5 for Randomized in Error).Example:3 -
randStatusKey: string
Title:
Randomization Status KeyAllowed Values:[ "Unapproved", "Available", "Inactive", "Assigned", "Randomized in error" ]Randomization status key.Example:Assigned, Available -
sequenceNumber: number
Title:
Sequence NumberSequence number within the randomization list.Example:1001 -
statumId: string
(uuid)
Title:
Stratum IDUnique Id for stratum. -
stratumName: string
Title:
Stratum NameStratum name.Example:Male, Female -
subjectId: string
(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
-
subjectNumber: string
Title:
Subject NumberSubject number.Example:S1001 -
treatmentId: string
(uuid)
Title:
Treatment IDUnique ID for treatment arm. -
versionEnd: string
(date-time)
The end date until which the data is applicable or valid.
-
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.
Example:
{
"randNumberId":"D313327EF13845169A8ADADDA435431E",
"versionStart":"2026-02-21T06:30:00Z",
"versionEnd":"2026-02-21T06:45:00Z",
"randNumber":10,
"blockNumber":1,
"randStatusId":3,
"randStatusKey":"Assigned",
"treatmentId":"B1B8327AFAA6412287106192AB5984EF",
"externalTreatmentId":"ARM-A",
"blockingParamName":"site",
"blockingParamId":"SITE-001",
"blockingParamValue":"Site1001",
"subjectId":"C36A3197FDEE433FB5547EE83DE99E4B",
"subjectNumber":"S1001",
"statumId":"9B83BFB48C5A41C59775E4D8D22D8B26",
"stratumName":"Male",
"cohortId":"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA",
"cohortName":"Demo Cohort 1001",
"sequenceNumber":1001
}Nested Schema : MinimizationTO v1.0
Type:
objectTitle:
MinimizationTO v1.0Contains minimization details.
Show Source
-
groups: array
groups
-
probabilityFactor: string
Title:
Probability FactorProbability factor for a given random number.Example:0.23
Nested Schema : groups
Type:
Show Source
array-
Array of:
object MinimizationGroupTO v1.0
Title:
MinimizationGroupTO v1.0Contains minimization group details.
Nested Schema : MinimizationGroupTO v1.0
Type:
objectTitle:
MinimizationGroupTO v1.0Contains minimization group details.
Show Source
-
groupId: string
(UUID)
Title:
Group IDUnique ID for group.Example:B1B8327AFAA6412287106192AB5984EF -
groupName: string
Title:
Group NameName of the group.Example:Smoker, Non-smoker -
stratumId: string
(UUID)
Title:
Stratum IDUnique ID for stratum.Example:B1B8327AFAA6412287106192AB5984EF
Examples
404 Response
Appears for invalid study ID, invalid study version, or if a randomization list isn't found.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples